Package org.drinkless.tdlib

# Class TdApi.AddProfileAudio

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AddProfileAudio

Enclosing class:
  `TdApi`

public static class TdApi.AddProfileAudio extends TdApi.Function<TdApi.Ok>
Adds an audio file to the beginning of the profile audio files of the current user.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputFile`
  `audio`
  The audio file to be added.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the audio, in seconds; may be replaced by the server; ignored for already uploaded files.
  `String`
  `performer`
  Performer of the audio; 0-64 characters, may be replaced by the server; ignored for already uploaded files.
  `String`
  `title`
  Title of the audio; 0-64 characters; may be replaced by the server; ignored for already uploaded files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddProfileAudio()`
  Default constructor for a function, which adds an audio file to the beginning of the profile audio files of the current user.
  `AddProfileAudio(TdApi.InputFile audio, int duration, String title, String performer)`
  Creates a function, which adds an audio file to the beginning of the profile audio files of the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### audio

    public TdApi.InputFile audio
    The audio file to be added.

  - ### duration

    public int duration
    Duration of the audio, in seconds; may be replaced by the server; ignored for already uploaded files.

  - ### title

    public String title
    Title of the audio; 0-64 characters; may be replaced by the server; ignored for already uploaded files.

  - ### performer

    public String performer
    Performer of the audio; 0-64 characters, may be replaced by the server; ignored for already uploaded files.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddProfileAudio

    public AddProfileAudio()
    Default constructor for a function, which adds an audio file to the beginning of the profile audio files of the current user.

    Returns `Ok`

  - ### AddProfileAudio

    public AddProfileAudio(TdApi.InputFile audio, int duration, String title, String performer)
    Creates a function, which adds an audio file to the beginning of the profile audio files of the current user.

    Returns `Ok`

    Parameters:
      `audio` - The audio file to be added.
      `duration` - Duration of the audio, in seconds; may be replaced by the server; ignored for already uploaded files.
      `title` - Title of the audio; 0-64 characters; may be replaced by the server; ignored for already uploaded files.
      `performer` - Performer of the audio; 0-64 characters, may be replaced by the server; ignored for already uploaded files.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR